<html>
<head>
<title>Ogre::D3D9Mappings Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9Mappings.html">D3D9Mappings</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9Mappings Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9Mappings" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9Mappings_8h_source.html">OgreD3D9Mappings.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D9Mappings-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">eD3DTexType</a> { <a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fafccc750ec72c280d9ae6b0090dac0396">D3D_TEX_TYPE_NORMAL</a>, 
<a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fadb0650c175acab0779d88b55a67a4256">D3D_TEX_TYPE_CUBE</a>, 
<a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fa327bf2d9e6d806eb547a2798bc89d389">D3D_TEX_TYPE_VOLUME</a>, 
<a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fad40465dc26ebd056c6475a436ca7c99c">D3D_TEX_TYPE_NONE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">enum identifying D3D9 tex. types  <a href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3f">eD3DFilterUsage</a> { <a class="el" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3fad1ef8e3cef6c5b60f9b6ffe3839cccab">D3D_FUSAGE_MIN</a>, 
<a class="el" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3faa311f869fe1da160eb7f8158caee3151">D3D_FUSAGE_MAG</a>, 
<a class="el" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3fa346f0e80ab02f9d452699e79d155da07">D3D_FUSAGE_MIP</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">enum identifying D3D9 filter usage type  <a href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3f">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">get</a> (<a class="el" href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560">ShadeOptions</a> so)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> ShadeOptions value  <a href="#abc6a664ff84be7b943b34a40f7d6fd08"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DLIGHTTYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#aecc9957a174db258a78bbc41e21e4dc1">get</a> (<a class="el" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbc">Ogre::Light::LightTypes</a> lightType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LightTypes value  <a href="#aecc9957a174db258a78bbc41e21e4dc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#ac36be5d30815ceaf7f4127e06d238437">get</a> (<a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">TexCoordCalcMethod</a> m, const D3DCAPS9 &amp;caps)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> TexCoordCalsMethod value  <a href="#ac36be5d30815ceaf7f4127e06d238437"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DTEXTUREADDRESS&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a024ca368ac5638c87363d0979cc1822f">get</a> (<a class="el" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852">TextureUnitState::TextureAddressingMode</a> tam, const D3DCAPS9 &amp;devCaps)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> TextureAddressingMode value  <a href="#a024ca368ac5638c87363d0979cc1822f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DTEXTURESTAGESTATETYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a892b632c23a0ce069c6ccac7ba36f0fc">get</a> (<a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">LayerBlendType</a> lbt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendType value  <a href="#a892b632c23a0ce069c6ccac7ba36f0fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a4e51c40237a85427224570bace12ebec">get</a> (<a class="el" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">LayerBlendOperationEx</a> lbo, const D3DCAPS9 &amp;devCaps)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendOperationEx value  <a href="#a4e51c40237a85427224570bace12ebec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a962749c5967da3495234f6c6d0188123">get</a> (<a class="el" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">LayerBlendSource</a> lbs, bool perStageConstants)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendSource value  <a href="#a962749c5967da3495234f6c6d0188123"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DBLEND&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a606748a301fbedc1f8f179831eb80eef">get</a> (<a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> sbf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> SceneBlendFactor value  <a href="#a606748a301fbedc1f8f179831eb80eef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DBLENDOP&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a7543cd03ae81c8a3c9f6ffc48e2d18ef">get</a> (<a class="el" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">SceneBlendOperation</a> sbo)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> SceneBlendOperation value  <a href="#a7543cd03ae81c8a3c9f6ffc48e2d18ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#adf2dd29f32f892e75a73e68a8b71c219">get</a> (<a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> cf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CompareFunction value  <a href="#adf2dd29f32f892e75a73e68a8b71c219"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#ae4e3a04375ec0f746908c2c7a03901e0">get</a> (<a class="el" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb">CullingMode</a> cm, bool flip)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CillingMode value  <a href="#ae4e3a04375ec0f746908c2c7a03901e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DFOGMODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#aaff747f3ea0b93cb920e246efa424301">get</a> (<a class="el" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba">FogMode</a> fm)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> FogMode value  <a href="#aaff747f3ea0b93cb920e246efa424301"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DFILLMODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#ac590f127849c419a9660050f20b08dd5">get</a> (<a class="el" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345">PolygonMode</a> level)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> PolygonMode value  <a href="#ac590f127849c419a9660050f20b08dd5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a6ea224daf6332e25098a2e63c9e6f476">get</a> (<a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> op, bool invert=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> StencilOperation value  <a href="#a6ea224daf6332e25098a2e63c9e6f476"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DSAMPLERSTATETYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a1f8ca1fb35e0209862a79f849e6fa531">get</a> (<a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ft)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 state type for <a class="el" href="namespaceOgre.html">Ogre</a> FilterType value  <a href="#a1f8ca1fb35e0209862a79f849e6fa531"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a2811b5d495ce1e46b8fc180d58331c94">get</a> (<a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ft, <a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a> fo, const D3DCAPS9 &amp;devCaps, <a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">eD3DTexType</a> texType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return a D3D9 filter option for <a class="el" href="namespaceOgre.html">Ogre</a> FilterType &amp; FilterOption value  <a href="#a2811b5d495ce1e46b8fc180d58331c94"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">eD3DTexType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#abc20023f0a7b84573cc841cc7772110c">get</a> (<a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">TextureType</a> ogreTexType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return the D3DtexType equivalent of a <a class="el" href="namespaceOgre.html">Ogre</a> tex. type  <a href="#abc20023f0a7b84573cc841cc7772110c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#afeae5536fb61aa85f59ea52a4b5cd3c4">get</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">return the combination of D3DUSAGE values for <a class="el" href="namespaceOgre.html">Ogre</a> buffer usage  <a href="#afeae5536fb61aa85f59ea52a4b5cd3c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a25e223a555759893c5f40de25fd09167">get</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a> options, <a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get lock options.  <a href="#a25e223a555759893c5f40de25fd09167"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DFORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a258168071f3c751c520f91d47cbf4571">get</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get index type.  <a href="#a258168071f3c751c520f91d47cbf4571"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DDECLTYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#abb18ee06295e6c9daa8a3b6acaeb1d49">get</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> vType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vertex data type.  <a href="#abb18ee06295e6c9daa8a3b6acaeb1d49"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DDECLUSAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#afc54c372a69c4f5b3edf323269387f5b">get</a> (<a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> sem)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vertex semantic.  <a href="#afc54c372a69c4f5b3edf323269387f5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DXMATRIX&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a7931a68627568b6a27c623d1e127017d">makeD3DXMatrix</a> (const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;mat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a3d053a5cead9d325f31fa85996864e8c">convertD3DXMatrix</a> (const D3DXMATRIX &amp;mat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#af85966ea00ea34c05582a593bed28078">_getPF</a> (D3DFORMAT d3dPF)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">utility method, convert D3D9 pixel format to <a class="el" href="namespaceOgre.html">Ogre</a> pixel format  <a href="#af85966ea00ea34c05582a593bed28078"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static D3DFORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#a195e5519144806300875f5be4b0db0cc">_getPF</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> ogrePF)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">utility method, convert <a class="el" href="namespaceOgre.html">Ogre</a> pixel format to D3D9 pixel format  <a href="#a195e5519144806300875f5be4b0db0cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Mappings.html#adebd4f687911e59246e3c2d1113fb183">_getClosestSupportedPF</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> ogrePF)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">utility method, find closest <a class="el" href="namespaceOgre.html">Ogre</a> pixel format that D3D9 can support  <a href="#adebd4f687911e59246e3c2d1113fb183"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9Mappings_8h_source.html#l00041">41</a> of file <a class="el" href="OgreD3D9Mappings_8h_source.html">OgreD3D9Mappings.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a4a4228c86ecd5f12e1eab44b57a70e3f"></a><!-- doxytag: member="Ogre::D3D9Mappings::eD3DFilterUsage" ref="a4a4228c86ecd5f12e1eab44b57a70e3f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3f">Ogre::D3D9Mappings::eD3DFilterUsage</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>enum identifying D3D9 filter usage type </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a4a4228c86ecd5f12e1eab44b57a70e3fad1ef8e3cef6c5b60f9b6ffe3839cccab"></a><!-- doxytag: member="D3D_FUSAGE_MIN" ref="a4a4228c86ecd5f12e1eab44b57a70e3fad1ef8e3cef6c5b60f9b6ffe3839cccab" args="" -->D3D_FUSAGE_MIN</em>&nbsp;</td><td>
<p>min filter </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4a4228c86ecd5f12e1eab44b57a70e3faa311f869fe1da160eb7f8158caee3151"></a><!-- doxytag: member="D3D_FUSAGE_MAG" ref="a4a4228c86ecd5f12e1eab44b57a70e3faa311f869fe1da160eb7f8158caee3151" args="" -->D3D_FUSAGE_MAG</em>&nbsp;</td><td>
<p>mag filter </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4a4228c86ecd5f12e1eab44b57a70e3fa346f0e80ab02f9d452699e79d155da07"></a><!-- doxytag: member="D3D_FUSAGE_MIP" ref="a4a4228c86ecd5f12e1eab44b57a70e3fa346f0e80ab02f9d452699e79d155da07" args="" -->D3D_FUSAGE_MIP</em>&nbsp;</td><td>
<p>mip filter </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreD3D9Mappings_8h_source.html#l00058">58</a> of file <a class="el" href="OgreD3D9Mappings_8h_source.html">OgreD3D9Mappings.h</a>.</p>

</div>
</div>
<a class="anchor" id="a013e603712b5d552f59c4557c3bcff6f"></a><!-- doxytag: member="Ogre::D3D9Mappings::eD3DTexType" ref="a013e603712b5d552f59c4557c3bcff6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">Ogre::D3D9Mappings::eD3DTexType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>enum identifying D3D9 tex. types </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a013e603712b5d552f59c4557c3bcff6fafccc750ec72c280d9ae6b0090dac0396"></a><!-- doxytag: member="D3D_TEX_TYPE_NORMAL" ref="a013e603712b5d552f59c4557c3bcff6fafccc750ec72c280d9ae6b0090dac0396" args="" -->D3D_TEX_TYPE_NORMAL</em>&nbsp;</td><td>
<p>standard texture </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a013e603712b5d552f59c4557c3bcff6fadb0650c175acab0779d88b55a67a4256"></a><!-- doxytag: member="D3D_TEX_TYPE_CUBE" ref="a013e603712b5d552f59c4557c3bcff6fadb0650c175acab0779d88b55a67a4256" args="" -->D3D_TEX_TYPE_CUBE</em>&nbsp;</td><td>
<p>cube texture </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a013e603712b5d552f59c4557c3bcff6fa327bf2d9e6d806eb547a2798bc89d389"></a><!-- doxytag: member="D3D_TEX_TYPE_VOLUME" ref="a013e603712b5d552f59c4557c3bcff6fa327bf2d9e6d806eb547a2798bc89d389" args="" -->D3D_TEX_TYPE_VOLUME</em>&nbsp;</td><td>
<p>volume texture </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a013e603712b5d552f59c4557c3bcff6fad40465dc26ebd056c6475a436ca7c99c"></a><!-- doxytag: member="D3D_TEX_TYPE_NONE" ref="a013e603712b5d552f59c4557c3bcff6fad40465dc26ebd056c6475a436ca7c99c" args="" -->D3D_TEX_TYPE_NONE</em>&nbsp;</td><td>
<p>just to have it... </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreD3D9Mappings_8h_source.html#l00045">45</a> of file <a class="el" href="OgreD3D9Mappings_8h_source.html">OgreD3D9Mappings.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="adebd4f687911e59246e3c2d1113fb183"></a><!-- doxytag: member="Ogre::D3D9Mappings::_getClosestSupportedPF" ref="adebd4f687911e59246e3c2d1113fb183" args="(PixelFormat ogrePF)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1D3D9Mappings.html#adebd4f687911e59246e3c2d1113fb183">Ogre::D3D9Mappings::_getClosestSupportedPF</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>ogrePF</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>utility method, find closest <a class="el" href="namespaceOgre.html">Ogre</a> pixel format that D3D9 can support </p>

</div>
</div>
<a class="anchor" id="af85966ea00ea34c05582a593bed28078"></a><!-- doxytag: member="Ogre::D3D9Mappings::_getPF" ref="af85966ea00ea34c05582a593bed28078" args="(D3DFORMAT d3dPF)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1D3D9Mappings.html#af85966ea00ea34c05582a593bed28078">Ogre::D3D9Mappings::_getPF</a> </td>
          <td>(</td>
          <td class="paramtype">D3DFORMAT&#160;</td>
          <td class="paramname"><em>d3dPF</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>utility method, convert D3D9 pixel format to <a class="el" href="namespaceOgre.html">Ogre</a> pixel format </p>

</div>
</div>
<a class="anchor" id="a195e5519144806300875f5be4b0db0cc"></a><!-- doxytag: member="Ogre::D3D9Mappings::_getPF" ref="a195e5519144806300875f5be4b0db0cc" args="(PixelFormat ogrePF)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DFORMAT <a class="el" href="classOgre_1_1D3D9Mappings.html#af85966ea00ea34c05582a593bed28078">Ogre::D3D9Mappings::_getPF</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>ogrePF</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>utility method, convert <a class="el" href="namespaceOgre.html">Ogre</a> pixel format to D3D9 pixel format </p>

</div>
</div>
<a class="anchor" id="a3d053a5cead9d325f31fa85996864e8c"></a><!-- doxytag: member="Ogre::D3D9Mappings::convertD3DXMatrix" ref="a3d053a5cead9d325f31fa85996864e8c" args="(const D3DXMATRIX &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1D3D9Mappings.html#a3d053a5cead9d325f31fa85996864e8c">Ogre::D3D9Mappings::convertD3DXMatrix</a> </td>
          <td>(</td>
          <td class="paramtype">const D3DXMATRIX &amp;&#160;</td>
          <td class="paramname"><em>mat</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abc6a664ff84be7b943b34a40f7d6fd08"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="abc6a664ff84be7b943b34a40f7d6fd08" args="(ShadeOptions so)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560">ShadeOptions</a>&#160;</td>
          <td class="paramname"><em>so</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> ShadeOptions value </p>

</div>
</div>
<a class="anchor" id="aecc9957a174db258a78bbc41e21e4dc1"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="aecc9957a174db258a78bbc41e21e4dc1" args="(Ogre::Light::LightTypes lightType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DLIGHTTYPE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbc">Ogre::Light::LightTypes</a>&#160;</td>
          <td class="paramname"><em>lightType</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LightTypes value </p>

</div>
</div>
<a class="anchor" id="ac36be5d30815ceaf7f4127e06d238437"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="ac36be5d30815ceaf7f4127e06d238437" args="(TexCoordCalcMethod m, const D3DCAPS9 &amp;caps)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">TexCoordCalcMethod</a>&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const D3DCAPS9 &amp;&#160;</td>
          <td class="paramname"><em>caps</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> TexCoordCalsMethod value </p>

</div>
</div>
<a class="anchor" id="a024ca368ac5638c87363d0979cc1822f"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a024ca368ac5638c87363d0979cc1822f" args="(TextureUnitState::TextureAddressingMode tam, const D3DCAPS9 &amp;devCaps)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DTEXTUREADDRESS <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852">TextureUnitState::TextureAddressingMode</a>&#160;</td>
          <td class="paramname"><em>tam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const D3DCAPS9 &amp;&#160;</td>
          <td class="paramname"><em>devCaps</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> TextureAddressingMode value </p>

</div>
</div>
<a class="anchor" id="a892b632c23a0ce069c6ccac7ba36f0fc"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a892b632c23a0ce069c6ccac7ba36f0fc" args="(LayerBlendType lbt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DTEXTURESTAGESTATETYPE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">LayerBlendType</a>&#160;</td>
          <td class="paramname"><em>lbt</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendType value </p>

</div>
</div>
<a class="anchor" id="a4e51c40237a85427224570bace12ebec"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a4e51c40237a85427224570bace12ebec" args="(LayerBlendOperationEx lbo, const D3DCAPS9 &amp;devCaps)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">LayerBlendOperationEx</a>&#160;</td>
          <td class="paramname"><em>lbo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const D3DCAPS9 &amp;&#160;</td>
          <td class="paramname"><em>devCaps</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendOperationEx value </p>

</div>
</div>
<a class="anchor" id="a962749c5967da3495234f6c6d0188123"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a962749c5967da3495234f6c6d0188123" args="(LayerBlendSource lbs, bool perStageConstants)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">LayerBlendSource</a>&#160;</td>
          <td class="paramname"><em>lbs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>perStageConstants</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> LayerBlendSource value </p>

</div>
</div>
<a class="anchor" id="a606748a301fbedc1f8f179831eb80eef"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a606748a301fbedc1f8f179831eb80eef" args="(SceneBlendFactor sbf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DBLEND <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a>&#160;</td>
          <td class="paramname"><em>sbf</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> SceneBlendFactor value </p>

</div>
</div>
<a class="anchor" id="a7543cd03ae81c8a3c9f6ffc48e2d18ef"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a7543cd03ae81c8a3c9f6ffc48e2d18ef" args="(SceneBlendOperation sbo)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DBLENDOP <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">SceneBlendOperation</a>&#160;</td>
          <td class="paramname"><em>sbo</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> SceneBlendOperation value </p>

</div>
</div>
<a class="anchor" id="adf2dd29f32f892e75a73e68a8b71c219"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="adf2dd29f32f892e75a73e68a8b71c219" args="(CompareFunction cf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">CompareFunction</a>&#160;</td>
          <td class="paramname"><em>cf</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CompareFunction value </p>

</div>
</div>
<a class="anchor" id="ae4e3a04375ec0f746908c2c7a03901e0"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="ae4e3a04375ec0f746908c2c7a03901e0" args="(CullingMode cm, bool flip)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb">CullingMode</a>&#160;</td>
          <td class="paramname"><em>cm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>flip</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> CillingMode value </p>

</div>
</div>
<a class="anchor" id="aaff747f3ea0b93cb920e246efa424301"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="aaff747f3ea0b93cb920e246efa424301" args="(FogMode fm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DFOGMODE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba">FogMode</a>&#160;</td>
          <td class="paramname"><em>fm</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> FogMode value </p>

</div>
</div>
<a class="anchor" id="ac590f127849c419a9660050f20b08dd5"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="ac590f127849c419a9660050f20b08dd5" args="(PolygonMode level)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DFILLMODE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345">PolygonMode</a>&#160;</td>
          <td class="paramname"><em>level</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> PolygonMode value </p>

</div>
</div>
<a class="anchor" id="a6ea224daf6332e25098a2e63c9e6f476"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a6ea224daf6332e25098a2e63c9e6f476" args="(StencilOperation op, bool invert=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>invert</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 equivalent for a <a class="el" href="namespaceOgre.html">Ogre</a> StencilOperation value </p>

</div>
</div>
<a class="anchor" id="a1f8ca1fb35e0209862a79f849e6fa531"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a1f8ca1fb35e0209862a79f849e6fa531" args="(FilterType ft)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DSAMPLERSTATETYPE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a>&#160;</td>
          <td class="paramname"><em>ft</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 state type for <a class="el" href="namespaceOgre.html">Ogre</a> FilterType value </p>

</div>
</div>
<a class="anchor" id="a2811b5d495ce1e46b8fc180d58331c94"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a2811b5d495ce1e46b8fc180d58331c94" args="(FilterType ft, FilterOptions fo, const D3DCAPS9 &amp;devCaps, eD3DTexType texType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a>&#160;</td>
          <td class="paramname"><em>ft</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d">FilterOptions</a>&#160;</td>
          <td class="paramname"><em>fo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const D3DCAPS9 &amp;&#160;</td>
          <td class="paramname"><em>devCaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">eD3DTexType</a>&#160;</td>
          <td class="paramname"><em>texType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return a D3D9 filter option for <a class="el" href="namespaceOgre.html">Ogre</a> FilterType &amp; FilterOption value </p>

</div>
</div>
<a class="anchor" id="abc20023f0a7b84573cc841cc7772110c"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="abc20023f0a7b84573cc841cc7772110c" args="(TextureType ogreTexType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">eD3DTexType</a> <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">TextureType</a>&#160;</td>
          <td class="paramname"><em>ogreTexType</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return the D3DtexType equivalent of a <a class="el" href="namespaceOgre.html">Ogre</a> tex. type </p>

</div>
</div>
<a class="anchor" id="afeae5536fb61aa85f59ea52a4b5cd3c4"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="afeae5536fb61aa85f59ea52a4b5cd3c4" args="(HardwareBuffer::Usage usage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>usage</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>return the combination of D3DUSAGE values for <a class="el" href="namespaceOgre.html">Ogre</a> buffer usage </p>

</div>
</div>
<a class="anchor" id="a25e223a555759893c5f40de25fd09167"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a25e223a555759893c5f40de25fd09167" args="(HardwareBuffer::LockOptions options, HardwareBuffer::Usage usage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static DWORD <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">HardwareBuffer::LockOptions</a>&#160;</td>
          <td class="paramname"><em>options</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&#160;</td>
          <td class="paramname"><em>usage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get lock options. </p>

</div>
</div>
<a class="anchor" id="a258168071f3c751c520f91d47cbf4571"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="a258168071f3c751c520f91d47cbf4571" args="(HardwareIndexBuffer::IndexType itype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DFORMAT <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a>&#160;</td>
          <td class="paramname"><em>itype</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get index type. </p>

</div>
</div>
<a class="anchor" id="abb18ee06295e6c9daa8a3b6acaeb1d49"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="abb18ee06295e6c9daa8a3b6acaeb1d49" args="(VertexElementType vType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DDECLTYPE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>vType</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vertex data type. </p>

</div>
</div>
<a class="anchor" id="afc54c372a69c4f5b3edf323269387f5b"></a><!-- doxytag: member="Ogre::D3D9Mappings::get" ref="afc54c372a69c4f5b3edf323269387f5b" args="(VertexElementSemantic sem)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DDECLUSAGE <a class="el" href="classOgre_1_1D3D9Mappings.html#abc6a664ff84be7b943b34a40f7d6fd08">Ogre::D3D9Mappings::get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td>
          <td class="paramname"><em>sem</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vertex semantic. </p>

</div>
</div>
<a class="anchor" id="a7931a68627568b6a27c623d1e127017d"></a><!-- doxytag: member="Ogre::D3D9Mappings::makeD3DXMatrix" ref="a7931a68627568b6a27c623d1e127017d" args="(const Matrix4 &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static D3DXMATRIX <a class="el" href="classOgre_1_1D3D9Mappings.html#a7931a68627568b6a27c623d1e127017d">Ogre::D3D9Mappings::makeD3DXMatrix</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9Mappings_8h_source.html">OgreD3D9Mappings.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
